XTEN(1)

NAME
xten - transmit X-10 commands

SYNOPSIS
xten [ - ] house key[:cnt] [ [ house ] key[:cnt] ... ]

DESCRIPTION
Xten is a command-line interface to the X-10 daemon. When invoked with a one-letter house code (A-P) and a series of key/unit codes as arguments, it requests the X-10 daemon to transmit a corresponding series of X-10 packets. The X-10 daemon makes its best effort to ensure that the packets are all transmitted correctly, though in general it is not possible to tell whether the commands were actually received and executed by the remote X-10 devices.

When invoked with the single argument -, xten enters an interactive mode in which a line is repeatedly read from the standard input, sent to the X-10 daemon, and the one-line response from the daemon printed on the standard output.

OPTIONS
The house argument is a one-letter house code in the range A-P. All the X-10 requests generated will refer to this house code. Each key is either a numeric unit code in the range 1-16, or else is a string that specifies an X-10 function. The possible function code strings are:

AllUnitsOff

AllLightsOn

On

Off

Dim

Bright

AllLightsOff

ExtendedCode

HailRequest

HailAcknowledge

PreSetDim0

PreSetDim1

ExtendedData

StatusOn

StatusOff

StatusRequest

Each key may be followed by an optional numeric cnt, which specifies the number of packets that are to be sent with that key code without gaps. If this argument is omitted, two packets are transmitted. The ability to specify numbers of packets other than two is used by the X-10 Dim and Bright commands.

SEE ALSO
tw(4), xtend(8)

FILES
/dev/tw0
    the TW523 special file

AUTHOR
Eugene W. Stark (stark@cs.sunysb.edu)